Method to Downgrade Baseband 06.15.00 to 05.15.04 Coming Soon for iPhone 3GS, 3G

Most of the unlockers who updated the baseband of iPhone 3GS / iPhone 3G to iPad baseband 06.15.00 in order to unlock the device on iOS 4.2.1 using Ultrasnow 2.1 can’t downgrade the firmware to any stock version above 4.1. They can downgrade their devices only to custom firmware cooked by PwnageTool or Snowbreeze.

We have got a good news for all those who are not comfortable with baseband 06.15.00.

MuscleNerd confirms over Twitter that iPhone Dev Team is working on a new method that will allow users to downgrade the iPad baseband 06.15.00 to lower versions like 05.15.04 on iPhone 3G(S).

@Lezanz sorry still collecting data on that. But also working on a bb downgrade (!) method for those with unlockable bb

@idansc yes if the BB downgrade method works, it will work for 06.15 too.

We will keep you updated as we get more news about this new downgrade hack. You can also follow us on Twitter or join us on Facebook to get the instant updates.

You might also like to read these posts:

Want automatic updates? Subscribe to our RSS feed or
Get Email Updates sent directly to your inbox!

3 Comments

  1. If the 06.15.00 downgrade is a certainty, would it be better to unlock my 3GS now or wait until the the new downgrade method comes out?

    Reply
    • If you have other choices, like other phones, and use iPhone only for internet over WiFi etc then wait for new unlock.

      Reply
  2. As already become normal, Musclenerd do great stuff, but also lie many people about this downgrade, lie when say work this downgrade and also about he looking for one solution. Gone 6 months and do nothing to fix the mistake what did, to make 3GS totally unusable on GPS. Stay away from upgrade to baseband 06.15.00

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.